## libjs-microplugin.js 0.0.3+dfsg

=== Makefile ===
.PHONY: test release

test:
	mocha --reporter spec
release:
ifeq ($(strip $(version)),)
	@echo "\033[31mERROR:\033[0;39m No version provided."
	@echo "\033[1;30mmake release version=1.0.0\033[0;39m"
else
	sed -i.bak 's/"version": "[^"]*"/"version": "$(version)"/' package.json
	sed -i.bak 's/"version": "[^"]*"/"version": "$(version)"/' bower.json
	rm *.bak
	git add .
	git commit -a -m "Released $(version)."
	git tag v$(version)
	git push origin master
	git push origin --tags
	npm publish
	@echo "\033[32mv${version} released\033[0;39m"
endif

=== debian/changelog ===
libjs-microplugin.js (0.0.3+dfsg-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 01 Jan 2021 17:23:16 +0100

libjs-microplugin.js (0.0.3+dfsg-1) unstable; urgency=medium

  * Debianization of libjs-microplugin.js. (Closes: #834417)

 -- Sergio Durigan Junior <sergiodj@sergiodj.net>  Mon, 15 Aug 2016 09:06:35 -0400

=== debian/control ===
Source: libjs-microplugin.js
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Sergio Durigan Junior <sergiodj@sergiodj.net>
Build-Depends: debhelper (>=9), yui-compressor, mocha
Standards-Version: 3.9.8
Homepage: https://github.com/brianreavis/microplugin.js
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/libjs-microplugin.js.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/libjs-microplugin.js.git

Package: libjs-microplugin.js
Architecture: all
Depends: ${misc:Depends}
Description: Lightweight plugin / dependency system for libraries
 MicroPlugin is a lightweight drop-in plugin architecture for your
 JavaScript library. Plugins can declare dependencies to other plugins
 and can be initialized with options (in a variety of formats). It is
 AMD-compatible and it works identically in Node.js and in a browser.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	yui-compressor -o src/microplugin.min.js src/microplugin.js

override_dh_auto_clean:
	dh_clean
	rm -f src/microplugin.min.js

=== debian/watch ===
version=4
opts="dversionmangle=s@\+dfsg(\.\d+)?@@,\
	repacksuffix=+dfsg,\
	filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/brianreavis/microplugin.js/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
